diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -7734,71 +7739,71 @@ F F2(n)3.24 E F0 .38(lists only the last)3.12 F F2(n)3.24 E F0 2.88
 2.25 E(Options, if supplied, ha)5 E .3 -.15(ve t)-.2 H(he follo).15 E
 (wing meanings:)-.25 E F1<ad63>144 333.6 Q F0
 (Clear the history list by deleting all the entries.)180 333.6 Q F1
-<ad64>144 345.6 Q F2(of)2.5 E(fset)-.18 E F0 .39
+<ad64>144 345.6 Q F2(of)2.5 E(fset)-.18 E F0 .389
 (Delete the history entry at position)180 357.6 R F2(of)2.889 E(fset)
 -.18 E F0 5.389(.I)C(f)-5.389 E F2(of)2.889 E(fset)-.18 E F0 .389(is ne)
-2.889 F -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G 2.889(,i).15 G 2.889(ti)
--2.889 G 2.889(si)-2.889 G .389(nterpreted as relati)-2.889 F -.15(ve)
--.25 G .598(to one greater than the last history position, so ne)180
-369.6 R -.05(ga)-.15 G(ti).05 E .899 -.15(ve i)-.25 H .599
+2.889 F -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G 2.89(,i).15 G 2.89(ti)
+-2.89 G 2.89(si)-2.89 G .39(nterpreted as relati)-2.89 F -.15(ve)-.25 G
+.599(to one greater than the last history position, so ne)180 369.6 R
+-.05(ga)-.15 G(ti).05 E .899 -.15(ve i)-.25 H .598
 (ndices count back from the end).15 F(of the history)180 381.6 Q 2.5(,a)
 -.65 G(nd an inde)-2.5 E 2.5(xo)-.15 G 2.5<66ad>-2.5 G 2.5(1r)-2.5 G
 (efers to the current)-2.5 E F1(history -d)2.5 E F0(command.)2.5 E F1
-<ad61>144 393.6 Q F0 .565(Append the `)180 393.6 R(`ne)-.74 E(w')-.25 E
-3.065('h)-.74 G .564(istory lines to the history \214le.)-3.065 F .564
+<ad61>144 393.6 Q F0 .564(Append the `)180 393.6 R(`ne)-.74 E(w')-.25 E
+3.064('h)-.74 G .564(istory lines to the history \214le.)-3.064 F .565
 (These are history lines entered since)5.564 F(the be)180 405.6 Q
 (ginning of the current)-.15 E F1(bash)2.5 E F0(session, b)2.5 E
 (ut not already appended to the history \214le.)-.2 E F1<ad6e>144 417.6
 Q F0 .854(Read the history lines not already read from the history \214\
-le into the current history list.)180 417.6 R .773
+le into the current history list.)180 417.6 R .772
 (These are lines appended to the history \214le since the be)180 429.6 R
-.772(ginning of the current)-.15 F F1(bash)3.272 E F0(ses-)3.272 E
+.773(ginning of the current)-.15 F F1(bash)3.273 E F0(ses-)3.273 E
 (sion.)180 441.6 Q F1<ad72>144 453.6 Q F0(Read the contents of the hist\
 ory \214le and append them to the current history list.)180 453.6 Q F1
 <ad77>144 465.6 Q F0
 (Write the current history list to the history \214le, o)180 465.6 Q
 -.15(ve)-.15 G(rwriting the history \214le').15 E 2.5(sc)-.55 G
-(ontents.)-2.5 E F1<ad70>144 477.6 Q F0 .625
+(ontents.)-2.5 E F1<ad70>144 477.6 Q F0 .626
 (Perform history substitution on the follo)180 477.6 R(wing)-.25 E F2
-(ar)3.125 E(gs)-.37 E F0 .626(and display the result on the standard)
+(ar)3.125 E(gs)-.37 E F0 .625(and display the result on the standard)
 3.125 F 2.975(output. Does)180 489.6 R .475
 (not store the results in the history list.)2.975 F(Each)5.475 E F2(ar)
 2.975 E(g)-.37 E F0 .475(must be quoted to disable)2.975 F
 (normal history e)180 501.6 Q(xpansion.)-.15 E F1<ad73>144 513.6 Q F0
-.362(Store the)180 513.6 R F2(ar)3.192 E(gs)-.37 E F0 .363
-(in the history list as a single entry)3.132 F 5.363(.T)-.65 G .363
+.363(Store the)180 513.6 R F2(ar)3.193 E(gs)-.37 E F0 .363
+(in the history list as a single entry)3.133 F 5.363(.T)-.65 G .362
 (he last command in the history list is)-5.363 F(remo)180 525.6 Q -.15
 (ve)-.15 G 2.5(db).15 G(efore the)-2.5 E F2(ar)2.83 E(gs)-.37 E F0
-(are added.)2.77 E .146(If the)144 542.4 R F3(HISTTIMEFORMA)2.645 E(T)
+(are added.)2.77 E .145(If the)144 542.4 R F3(HISTTIMEFORMA)2.645 E(T)
 -.855 E F0 -.25(va)2.395 G .145
 (riable is set, the time stamp information associated with each history)
-.25 F .668(entry is written to the history \214le, mark)144 554.4 R .669
-(ed with the history comment character)-.1 F 5.669(.W)-.55 G .669
-(hen the history)-5.669 F .956(\214le is read, lines be)144 566.4 R .956
-(ginning with the history comment character follo)-.15 F .955
-(wed immediately by a digit)-.25 F 1.795
+.25 F .669(entry is written to the history \214le, mark)144 554.4 R .669
+(ed with the history comment character)-.1 F 5.668(.W)-.55 G .668
+(hen the history)-5.668 F .955(\214le is read, lines be)144 566.4 R .956
+(ginning with the history comment character follo)-.15 F .956
+(wed immediately by a digit)-.25 F 1.796
 (are interpreted as timestamps for the follo)144 578.4 R 1.795
 (wing history entry)-.25 F 6.795(.T)-.65 G 1.795(he return v)-6.795 F
-1.796(alue is 0 unless an)-.25 F(in)144 590.4 Q -.25(va)-.4 G .768(lid \
+1.795(alue is 0 unless an)-.25 F(in)144 590.4 Q -.25(va)-.4 G .768(lid \
 option is encountered, an error occurs while reading or writing the his\
 tory \214le, an in).25 F -.25(va)-.4 G(lid).25 E F2(of)144 602.4 Q(fset)
--.18 E F0 1.031(is supplied as an ar)3.531 F 1.031(gument to)-.18 F F1
+-.18 E F0 1.032(is supplied as an ar)3.532 F 1.031(gument to)-.18 F F1
 <ad64>3.531 E F0 3.531(,o)C 3.531(rt)-3.531 G 1.031(he history e)-3.531
-F 1.031(xpansion supplied as an ar)-.15 F 1.032(gument to)-.18 F F1
-<ad70>3.532 E F0 -.1(fa)144 614.4 S(ils.).1 E F1(jobs)108 631.2 Q F0([)
+F 1.031(xpansion supplied as an ar)-.15 F 1.031(gument to)-.18 F F1
+<ad70>3.531 E F0 -.1(fa)144 614.4 S(ils.).1 E F1(jobs)108 631.2 Q F0([)
 2.5 E F1(\255lnprs)A F0 2.5(][)C F2(jobspec)A F0(... ])2.5 E F1
 (jobs \255x)108 643.2 Q F2(command)2.5 E F0([)2.5 E F2(ar)2.5 E(gs)-.37
 E F0(... ])2.5 E(The \214rst form lists the acti)144 655.2 Q .3 -.15
 (ve j)-.25 H 2.5(obs. The).15 F(options ha)2.5 E .3 -.15(ve t)-.2 H
 (he follo).15 E(wing meanings:)-.25 E F1<ad6c>144 667.2 Q F0
 (List process IDs in addition to the normal information.)180 667.2 Q F1
-<ad6e>144 679.2 Q F0 .194(Display information only about jobs that ha)
-180 679.2 R .494 -.15(ve c)-.2 H .193(hanged status since the user w).15
-F .193(as last noti-)-.1 F(\214ed of their status.)180 691.2 Q F1<ad70>
+<ad6e>144 679.2 Q F0 .193(Display information only about jobs that ha)
+180 679.2 R .494 -.15(ve c)-.2 H .194(hanged status since the user w).15
+F .194(as last noti-)-.1 F(\214ed of their status.)180 691.2 Q F1<ad70>
 144 703.2 Q F0(List only the process ID of the job')180 703.2 Q 2.5(sp)
 -.55 G(rocess group leader)-2.5 E(.)-.55 E F1<ad72>144 715.2 Q F0
 (Display only running jobs.)180 715.2 Q(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(64)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(64)192.895 E 0 Cg EP
 %%Page: 65 65
 %%BeginPageSetup
 BP
@@ -7806,73 +7811,73 @@ BP
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S 137.14(SH\(1\) General).35 F
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF<ad73>144 84 Q F0(Display only stopped jobs.)180 84 Q(If)144 100.8 Q
-/F2 10/Times-Italic@0 SF(jobspec)4.553 E F0 .313(is gi)3.123 F -.15(ve)
--.25 G .313(n, output is restricted to information about that job).15 F
-5.314(.T)-.4 G .314(he return status is 0 unless)-5.314 F(an in)144
+/F2 10/Times-Italic@0 SF(jobspec)4.554 E F0 .314(is gi)3.124 F -.15(ve)
+-.25 G .314(n, output is restricted to information about that job).15 F
+5.313(.T)-.4 G .313(he return status is 0 unless)-5.313 F(an in)144
 112.8 Q -.25(va)-.4 G(lid option is encountered or an in).25 E -.25(va)
--.4 G(lid).25 E F2(jobspec)4.24 E F0(is supplied.)2.81 E .395(If the)144
-129.6 R F1<ad78>2.895 E F0 .394(option is supplied,)2.894 F F1(jobs)
+-.4 G(lid).25 E F2(jobspec)4.24 E F0(is supplied.)2.81 E .394(If the)144
+129.6 R F1<ad78>2.894 E F0 .394(option is supplied,)2.894 F F1(jobs)
 2.894 E F0 .394(replaces an)2.894 F(y)-.15 E F2(jobspec)4.634 E F0 .394
 (found in)3.204 F F2(command)3.094 E F0(or)3.664 E F2(ar)3.224 E(gs)-.37
-E F0 .394(with the corre-)3.164 F(sponding process group ID, and e)144
+E F0 .395(with the corre-)3.164 F(sponding process group ID, and e)144
 141.6 Q -.15(xe)-.15 G(cutes).15 E F2(command)2.7 E F0(passing it)3.27 E
 F2(ar)2.5 E(gs)-.37 E F0 2.5(,r).27 G(eturning its e)-2.5 E(xit status.)
 -.15 E F1(kill)108 158.4 Q F0([)2.5 E F1<ad73>A F2(sigspec)2.5 E F0(|)
 2.5 E F1<ad6e>2.5 E F2(signum)2.5 E F0(|)2.5 E F1<ad>2.5 E F2(sigspec)A
 F0 2.5(][)C F2(pid)-2.5 E F0(|)2.5 E F2(jobspec)2.5 E F0 2.5(].)C(..)
 -2.5 E F1(kill \255l)108 170.4 Q F0(|)A F1<ad4c>A F0([)2.5 E F2(sigspec)
-A F0(|)2.5 E F2 -.2(ex)2.5 G(it_status).2 E F0(])A .119
-(Send the signal named by)144 182.4 R F2(sigspec)2.959 E F0(or)2.929 E
-F2(signum)2.959 E F0 .119(to the processes named by)2.939 F F2(pid)3.87
-E F0(or)3.39 E F2(jobspec)2.62 E F0(.).31 E F2(sigspec)5.46 E F0(is)2.93
-E .319(either a case-insensiti)144 194.4 R .619 -.15(ve s)-.25 H .319
-(ignal name such as).15 F/F3 9/Times-Bold@0 SF(SIGKILL)2.819 E F0 .318
-(\(with or without the)2.569 F F3(SIG)2.818 E F0 .318
-(pre\214x\) or a signal)2.568 F(number;)144 206.4 Q F2(signum)4.188 E F0
-1.349(is a signal number)4.168 F 6.349(.I)-.55 G(f)-6.349 E F2(sigspec)
+A F0(|)2.5 E F2 -.2(ex)2.5 G(it_status).2 E F0(])A .12
+(Send the signal named by)144 182.4 R F2(sigspec)2.96 E F0(or)2.93 E F2
+(signum)2.96 E F0 .119(to the processes named by)2.939 F F2(pid)3.869 E
+F0(or)3.389 E F2(jobspec)2.619 E F0(.).31 E F2(sigspec)5.459 E F0(is)
+2.929 E .318(either a case-insensiti)144 194.4 R .618 -.15(ve s)-.25 H
+.318(ignal name such as).15 F/F3 9/Times-Bold@0 SF(SIGKILL)2.818 E F0
+.319(\(with or without the)2.569 F F3(SIG)2.819 E F0 .319
+(pre\214x\) or a signal)2.569 F(number;)144 206.4 Q F2(signum)4.189 E F0
+1.349(is a signal number)4.169 F 6.349(.I)-.55 G(f)-6.349 E F2(sigspec)
 4.189 E F0 1.349(is not present, then)4.159 F F3(SIGTERM)3.849 E F0
-1.349(is assumed.)3.599 F(An)6.349 E(ar)144 218.4 Q .523(gument of)-.18
+1.348(is assumed.)3.599 F(An)6.348 E(ar)144 218.4 Q .522(gument of)-.18
 F F1<ad6c>3.023 E F0 .523(lists the signal names.)3.023 F .523(If an)
 5.523 F 3.023(ya)-.15 G -.18(rg)-3.023 G .523(uments are supplied when)
 .18 F F1<ad6c>3.023 E F0 .523(is gi)3.023 F -.15(ve)-.25 G .523
 (n, the names).15 F .28(of the signals corresponding to the ar)144 230.4
 R .28(guments are listed, and the return status is 0.)-.18 F(The)5.28 E
-F2 -.2(ex)2.78 G(it_status).2 E F0(ar)144 242.4 Q .378(gument to)-.18 F
-F1<ad6c>2.878 E F0 .378
-(is a number specifying either a signal number or the e)2.878 F .377
-(xit status of a process termi-)-.15 F .962(nated by a signal.)144 254.4
+F2 -.2(ex)2.78 G(it_status).2 E F0(ar)144 242.4 Q .377(gument to)-.18 F
+F1<ad6c>2.877 E F0 .378
+(is a number specifying either a signal number or the e)2.877 F .378
+(xit status of a process termi-)-.15 F .963(nated by a signal.)144 254.4
 R(The)5.962 E F1<ad4c>3.462 E F0 .962(option is equi)3.462 F -.25(va)
 -.25 G .962(lent to).25 F F1<ad6c>3.462 E F0(.)A F1(kill)5.962 E F0 .962
 (returns true if at least one signal w)3.462 F(as)-.1 E
 (successfully sent, or f)144 266.4 Q(alse if an error occurs or an in)
 -.1 E -.25(va)-.4 G(lid option is encountered.).25 E F1(let)108 283.2 Q
 F2(ar)2.5 E(g)-.37 E F0([)2.5 E F2(ar)A(g)-.37 E F0(...])2.5 E(Each)144
-295.2 Q F2(ar)3.027 E(g)-.37 E F0 .197(is an arithmetic e)2.917 F .197
-(xpression to be e)-.15 F -.25(va)-.25 G .196(luated \(see).25 F F3 .196
-(ARITHMETIC EV)2.696 F(ALU)-1.215 E -.855(AT)-.54 G(ION).855 E F0(abo)
-2.446 E -.15(ve)-.15 G 2.696(\). If).15 F(the last)144 307.2 Q F2(ar)
+295.2 Q F2(ar)3.026 E(g)-.37 E F0 .196(is an arithmetic e)2.916 F .197
+(xpression to be e)-.15 F -.25(va)-.25 G .197(luated \(see).25 F F3 .197
+(ARITHMETIC EV)2.697 F(ALU)-1.215 E -.855(AT)-.54 G(ION).855 E F0(abo)
+2.447 E -.15(ve)-.15 G 2.697(\). If).15 F(the last)144 307.2 Q F2(ar)
 2.83 E(g)-.37 E F0 -.25(eva)2.72 G(luates to 0,).25 E F1(let)2.5 E F0
 (returns 1; 0 is returned otherwise.)2.5 E F1(local)108 324 Q F0([)2.5 E
 F2(option)A F0 2.5(][)C F2(name)-2.5 E F0([=)A F2(value)A F0 2.5(].)C
 (.. | \255 ])-2.5 E -.15(Fo)144 336 S 2.56(re).15 G .06(ach ar)-2.56 F
 .06(gument, a local v)-.18 F .06(ariable named)-.25 F F2(name)2.92 E F0
 .06(is created, and assigned)2.74 F F2(value)2.56 E F0 5.06(.T).18 G(he)
--5.06 E F2(option)2.56 E F0 .06(can be)2.56 F(an)144 348 Q 3.153(yo)-.15
-G 3.153(ft)-3.153 G .653(he options accepted by)-3.153 F F1(declar)3.153
-E(e)-.18 E F0 5.652(.W)C(hen)-5.652 E F1(local)3.152 E F0 .652
+-5.06 E F2(option)2.56 E F0 .06(can be)2.56 F(an)144 348 Q 3.152(yo)-.15
+G 3.152(ft)-3.152 G .652(he options accepted by)-3.152 F F1(declar)3.152
+E(e)-.18 E F0 5.652(.W)C(hen)-5.652 E F1(local)3.152 E F0 .653
 (is used within a function, it causes the v)3.152 F(ari-)-.25 E(able)144
-360 Q F2(name)3.281 E F0 .421(to ha)3.101 F .721 -.15(ve a v)-.2 H .422
+360 Q F2(name)3.282 E F0 .422(to ha)3.102 F .722 -.15(ve a v)-.2 H .422
 (isible scope restricted to that function and its children.).15 F(If)
-5.422 E F2(name)2.922 E F0 .422(is \255, the set)2.922 F 1.461
+5.421 E F2(name)2.921 E F0 .421(is \255, the set)2.921 F 1.461
 (of shell options is made local to the function in which)144 372 R F1
-(local)3.961 E F0 1.461(is in)3.961 F -.2(vo)-.4 G -.1(ke).2 G 1.461
-(d: shell options changed).1 F 1.562(using the)144 384 R F1(set)4.062 E
-F0 -.2(bu)4.062 G 1.563
-(iltin inside the function are restored to their original v).2 F 1.563
-(alues when the function)-.25 F 3.744(returns. W)144 396 R 1.244
-(ith no operands,)-.4 F F1(local)3.744 E F0 1.244
-(writes a list of local v)3.744 F 1.243
-(ariables to the standard output.)-.25 F 1.243(It is an)6.243 F .42
+(local)3.961 E F0 1.462(is in)3.961 F -.2(vo)-.4 G -.1(ke).2 G 1.462
+(d: shell options changed).1 F 1.563(using the)144 384 R F1(set)4.063 E
+F0 -.2(bu)4.063 G 1.563
+(iltin inside the function are restored to their original v).2 F 1.562
+(alues when the function)-.25 F 3.743(returns. W)144 396 R 1.243
+(ith no operands,)-.4 F F1(local)3.743 E F0 1.243
+(writes a list of local v)3.743 F 1.244
+(ariables to the standard output.)-.25 F 1.244(It is an)6.244 F .42
 (error to use)144 408 R F1(local)2.92 E F0 .42
 (when not within a function.)2.92 F .42(The return status is 0 unless)
 5.42 F F1(local)2.92 E F0 .42(is used outside a)2.92 F(function, an in)
@@ -7890,17 +7895,17 @@ F0 2.5(][)C F1<ad63>-2.5 E F2(quantum)2.5 E F0 2.5(][)C F2(arr)-2.5 E
 (count)2.5 E F0 2.5(][)C F1<ad74>-2.5 E F0 2.5(][)C F1<ad75>-2.5 E F2
 (fd)2.5 E F0 2.5(][)C F1<ad43>-2.5 E F2(callbac)2.5 E(k)-.2 E F0 2.5(][)
 C F1<ad63>-2.5 E F2(quantum)2.5 E F0 2.5(][)C F2(arr)-2.5 E(ay)-.15 E F0
-(])A .351(Read lines from the standard input into the inde)144 477.6 R
+(])A .35(Read lines from the standard input into the inde)144 477.6 R
 -.15(xe)-.15 G 2.851(da).15 G .351(rray v)-2.851 F(ariable)-.25 E F2
-(arr)2.85 E(ay)-.15 E F0 2.85(,o).32 G 2.85(rf)-2.85 G .35
-(rom \214le descriptor)-2.85 F F2(fd)2.85 E F0 1.248(if the)144 489.6 R
-F1<ad75>3.748 E F0 1.248(option is supplied.)3.748 F 1.249(The v)6.249 F
-(ariable)-.25 E F3(MAPFILE)3.749 E F0 1.249(is the def)3.499 F(ault)-.1
-E F2(arr)3.749 E(ay)-.15 E F0 6.249(.O)C 1.249(ptions, if supplied,)
--6.249 F(ha)144 501.6 Q .3 -.15(ve t)-.2 H(he follo).15 E
-(wing meanings:)-.25 E F1<ad64>144 513.6 Q F0 .911
-(The \214rst character of)180 513.6 R F2(delim)3.411 E F0 .911
-(is used to terminate each input line, rather than ne)3.411 F 3.41
+(arr)2.851 E(ay)-.15 E F0 2.851(,o).32 G 2.851(rf)-2.851 G .351
+(rom \214le descriptor)-2.851 F F2(fd)2.851 E F0 1.249(if the)144 489.6
+R F1<ad75>3.749 E F0 1.249(option is supplied.)3.749 F 1.249(The v)6.249
+F(ariable)-.25 E F3(MAPFILE)3.749 E F0 1.249(is the def)3.499 F(ault)-.1
+E F2(arr)3.748 E(ay)-.15 E F0 6.248(.O)C 1.248(ptions, if supplied,)
+-6.248 F(ha)144 501.6 Q .3 -.15(ve t)-.2 H(he follo).15 E
+(wing meanings:)-.25 E F1<ad64>144 513.6 Q F0 .91
+(The \214rst character of)180 513.6 R F2(delim)3.41 E F0 .911
+(is used to terminate each input line, rather than ne)3.41 F 3.411
 (wline. If)-.25 F F2(delim)180 525.6 Q F0(is the empty string,)2.5 E F1
 (map\214le)2.5 E F0(will terminate a line when it reads a NUL character)
 2.5 E(.)-.55 E F1<ad6e>144 537.6 Q F0(Cop)180 537.6 Q 2.5(ya)-.1 G 2.5
@@ -7919,26 +7924,26 @@ E F2(delim)2.5 E F0(\(def)2.5 E(ault ne)-.1 E
 (quantum)2.5 E F0(lines are read.)2.5 E(The)5 E F1<ad63>2.5 E F0
 (option speci\214es)2.5 E F2(quantum)2.5 E F0(.).32 E F1<ad63>144 609.6
 Q F0(Specify the number of lines read between each call to)180 609.6 Q
-F2(callbac)2.5 E(k)-.2 E F0(.).67 E(If)144 626.4 Q F1<ad43>2.967 E F0
+F2(callbac)2.5 E(k)-.2 E F0(.).67 E(If)144 626.4 Q F1<ad43>2.968 E F0
 .467(is speci\214ed without)2.967 F F1<ad63>2.967 E F0 2.967(,t)C .467
 (he def)-2.967 F .467(ault quantum is 5000.)-.1 F(When)5.467 E F2
 (callbac)2.967 E(k)-.2 E F0 .467(is e)2.967 F -.25(va)-.25 G .467
-(luated, it is sup-).25 F .262(plied the inde)144 638.4 R 2.762(xo)-.15
-G 2.762(ft)-2.762 G .262(he ne)-2.762 F .261(xt array element to be ass\
-igned and the line to be assigned to that element)-.15 F .274
-(as additional ar)144 650.4 R(guments.)-.18 E F2(callbac)5.274 E(k)-.2 E
-F0 .274(is e)2.774 F -.25(va)-.25 G .274
-(luated after the line is read b).25 F .275
+(luated, it is sup-).25 F .261(plied the inde)144 638.4 R 2.761(xo)-.15
+G 2.761(ft)-2.761 G .261(he ne)-2.761 F .262(xt array element to be ass\
+igned and the line to be assigned to that element)-.15 F .275
+(as additional ar)144 650.4 R(guments.)-.18 E F2(callbac)5.275 E(k)-.2 E
+F0 .275(is e)2.775 F -.25(va)-.25 G .274
+(luated after the line is read b).25 F .274
 (ut before the array element is)-.2 F(assigned.)144 662.4 Q
 (If not supplied with an e)144 679.2 Q(xplicit origin,)-.15 E F1
 (map\214le)2.5 E F0(will clear)2.5 E F2(arr)2.5 E(ay)-.15 E F0
-(before assigning to it.)2.5 E F1(map\214le)144 696 Q F0 1.906
-(returns successfully unless an in)4.406 F -.25(va)-.4 G 1.905
-(lid option or option ar).25 F 1.905(gument is supplied,)-.18 F F2(arr)
-4.405 E(ay)-.15 E F0(is)4.405 E(in)144 708 Q -.25(va)-.4 G
+(before assigning to it.)2.5 E F1(map\214le)144 696 Q F0 1.905
+(returns successfully unless an in)4.405 F -.25(va)-.4 G 1.905
+(lid option or option ar).25 F 1.906(gument is supplied,)-.18 F F2(arr)
+4.406 E(ay)-.15 E F0(is)4.406 E(in)144 708 Q -.25(va)-.4 G
 (lid or unassignable, or if).25 E F2(arr)2.5 E(ay)-.15 E F0
 (is not an inde)2.5 E -.15(xe)-.15 G 2.5(da).15 G(rray)-2.5 E(.)-.65 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(65)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(65)192.895 E 0 Cg EP
 %%Page: 66 66
 %%BeginPageSetup
 BP
@@ -7947,15 +7952,15 @@ BP
 (Commands Manual)2.5 E -.35(BA)139.64 G(SH\(1\)).35 E/F1 10/Times-Bold@0
 SF(popd)108 84 Q F0<5bad>2.5 E F1(n)A F0 2.5(][)C(+)-2.5 E/F2 10
 /Times-Italic@0 SF(n)A F0 2.5(][)C<ad>-2.5 E F2(n)A F0(])A(Remo)144 96 Q
--.15(ve)-.15 G 2.799(se).15 G .299(ntries from the directory stack.)
--2.799 F -.4(Wi)5.299 G .299(th no ar).4 F .299(guments, remo)-.18 F
--.15(ve)-.15 G 2.799(st).15 G .3(he top directory from the)-2.799 F
-1.479(stack, and performs a)144 108 R F1(cd)3.979 E F0 1.479(to the ne)
-3.979 F 3.979(wt)-.25 G 1.479(op directory)-3.979 F 6.479(.A)-.65 G -.18
-(rg)-6.479 G 1.478(uments, if supplied, ha).18 F 1.778 -.15(ve t)-.2 H
-1.478(he follo).15 F(wing)-.25 E(meanings:)144 120 Q F1<ad6e>144 132 Q
-F0 .551(Suppresses the normal change of directory when remo)180 132 R
-.551(ving directories from the stack, so)-.15 F
+-.15(ve)-.15 G 2.8(se).15 G .3(ntries from the directory stack.)-2.8 F
+-.4(Wi)5.299 G .299(th no ar).4 F .299(guments, remo)-.18 F -.15(ve)-.15
+G 2.799(st).15 G .299(he top directory from the)-2.799 F 1.478
+(stack, and performs a)144 108 R F1(cd)3.978 E F0 1.479(to the ne)3.978
+F 3.979(wt)-.25 G 1.479(op directory)-3.979 F 6.479(.A)-.65 G -.18(rg)
+-6.479 G 1.479(uments, if supplied, ha).18 F 1.779 -.15(ve t)-.2 H 1.479
+(he follo).15 F(wing)-.25 E(meanings:)144 120 Q F1<ad6e>144 132 Q F0
+.551(Suppresses the normal change of directory when remo)180 132 R .551
+(ving directories from the stack, so)-.15 F
 (that only the stack is manipulated.)180 144 Q F1(+)144 156 Q F2(n)A F0
 (Remo)180 156 Q -.15(ve)-.15 G 2.64(st).15 G(he)-2.64 E F2(n)2.64 E F0
 .14(th entry counting from the left of the list sho)B .14(wn by)-.25 F
